Bug 2074 - grub-customizer start error
: grub-customizer start error
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 16:38 MSD by Vladimir Potapov
Modified: 2013-06-03 17:31 MSD (History)
2 users (show)

See Also:
RPM Package: grub-customizer
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2013-05-30 16:38:17 MSD
1) alt+F2  
2) grub-customizer
3) Inknown error message
Comment 1 Denis Silakov 2013-05-30 16:51:56 MSD
Ah, I see, this happens with both old and new versions of grub-customizer if you run it as a usual user.

Everything should work under root (e.g., "kdesu grub-customizer" in Alt-F2).

We need to integrate grub-customizer with consolehelper...
Comment 2 Denis Silakov 2013-05-31 19:16:41 MSD
Advisory:

Integrated grub-customizer with modern consolehelper to allow ordinary users to launch it without "sudo".

Now user can just type "grub-customizer" and a window with request for root password will appear

Build list:
https://abf.rosalinux.ru/build_lists/1117872
https://abf.rosalinux.ru/build_lists/1117871
Comment 3 Vladimir Potapov 2013-06-03 16:20:08 MSD
It's not working for i586 :-(  (x64 - OK)
Comment 4 Denis Silakov 2013-06-03 16:52:42 MSD
This is strange, I've just installed 32bit version (https://abf.rosalinux.ru/build_lists/1117871) in VM and everything works fine... 

Maybe updated at your machine went wrong?
Comment 5 Alexander Burmashev 2013-06-03 16:55:29 MSD
Same here - i586 virtualbox VM, latest image, grub-customizer starts ok.
Comment 6 Vladimir Potapov 2013-06-03 17:09:01 MSD
Ok, after reboot it's work!
Comment 7 Vladimir Potapov 2013-06-03 17:10:06 MSD
grub-customizer-3.0.4-2-rosa2012.1
********************* Advisory *********************
Integrated grub-customizer with modern consolehelper to allow ordinary users to launch it without "sudo".

Now user can just type "grub-customizer" and a window with request for root password will appear
****************************************************
QA Verified